#ifndef MPI_SIMULATION_HPP
#define MPI_SIMULATION_HPP

#include <mpi.h>
#include "Simulation.hpp"

namespace nbody {
	class MpiSimulation : public Simulation {
	protected:
		int mpiSize;
		int mpiRank;
	public:
		MpiSimulation(int& argc, char**& argv);
		virtual ~MpiSimulation();
	};
}

#endif

